# SoIndexedTriangleStripSet Class Reference
[Nodes]

`#include <Inventor/nodes/SoIndexedTriangleStripSet.h>`

Inheritance diagram for SoIndexedTriangleStripSet:

List of all members.

## Detailed Description

The SoIndexedTriangleStripSet class keeps data for rendering and otherwise representing triangle strips.

Use nodes of this type as an effective way of drawing triangles which are strung together.

For more information, see the documentation of the SoTriangleStripSet node, and for the dirty details: the `GL_TRIANGLE_STRIP` primitive rendering type in OpenGL.

For more information about indexed shapes, see documentation in SoIndexedShape and SoIndexedFaceSet.

## Public Member Functions

| SoIndexedTriangleStripSet (void)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual SbBool | generateDefaultNormals (SoState *state, SoNormalBundle *nb)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoIndexedTriangleStripSet ()
virtual SbBool | generateDefaultNormals (SoState *state, SoNormalCache *nc)
virtual void | generatePrimitives (SoAction *action)

## Constructor & Destructor Documentation

SoIndexedTriangleStripSet::SoIndexedTriangleStripSet | ( | void |  | ) |

| Constructor. Default field values will equal those set in the SoIndexedShape parent class.

SoIndexedTriangleStripSet::~SoIndexedTriangleStripSet | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoIndexedTriangleStripSet::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoIndexedShape.

void SoIndexedTriangleStripSet::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoShape.

void SoIndexedTriangleStripSet::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoShape.

SbBool SoIndexedTriangleStripSet::generateDefaultNormals | ( | SoState * | state,
|  | SoNormalBundle * | nb
| ) | `[virtual]`

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Subclasses should override this method to generate default normals using the SoNormalBundle class. `TRUE` should be returned if normals were generated, `FALSE` otherwise.

Default method returns `FALSE`.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Reimplemented from SoVertexShape.

SbBool SoIndexedTriangleStripSet::generateDefaultNormals | ( | SoState * | state,
|  | SoNormalCache * | nc
| ) | `[protected, virtual]`

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Subclasses should override this method to generate default normals using the SoNormalCache class. This is more effective than using SoNormalGenerator. Return `TRUE` if normals were generated, `FALSE` otherwise.

Default method just returns `FALSE`.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Reimplemented from SoVertexShape.

void SoIndexedTriangleStripSet::generatePrimitives | ( | SoAction * | action | ) | `[protected, virtual]`

The method implements action behavior for shape nodes for SoCallbackAction. It is invoked from SoShape::callback(). (Subclasses should not override SoNode::callback().)

The subclass implementations uses the convenience methods SoShape::beginShape(), SoShape::shapeVertex(), and SoShape::endShape(), with SoDetail instances, to pass the primitives making up the shape back to the caller.

Implements SoShape.

The documentation for this class was generated from the following files:

- SoIndexedTriangleStripSet.h
- SoIndexedTriangleStripSet.cpp